#!/usr/bin/env python

import os, sys, pygame
from pygame.locals import *
from pygame.compat import geterror

import const, var, image

def main():
    try:
        import argparse
        parser = argparse.ArgumentParser(description='An Arkanoid clone')
        parser.add_argument('--cheat', action='store_true', help="Enables cheat options: press Del to go to the next level (only when the ball is in motion) and unlimited life")
        parser.add_argument('--level', help="Initial level", type=int)
        args = vars(parser.parse_args())
        cheat = args['cheat']
        if args['level']:
            level = args['level']-1
        else:
            level = -1
    except ImportError:
        print ("Warning: python-argparse not installed, command line arguments will not work!")
        cheat = False
        level = -1
        
    print ("Loading, please wait...\n")
    pygame.init()
    screen = pygame.display.set_mode((const.SCREEN_WIDTH, const.SCREEN_HEIGHT))
    font = pygame.font.Font("ttf-bitstream-vera-1.10/VeraSeBd.ttf", 20)
    image.images = image.Images()
    var.game = var.Game(screen, font)
    var.game.cheat = cheat
    if level != -1:
        var.game.initial_level = level
    pygame.display.set_caption('Arachnoid')
    pygame.mouse.set_visible(1)
    pygame.key.set_repeat(10)

    var.game.play()

    pygame.quit()
    sys.exit()

if __name__ == '__main__':
    main()
